Page MenuHomeFreeBSD

Add KF5 based version of kdiff3
ClosedPublic

Authored by tcberner on Nov 17 2018, 3:32 PM.

Details

Summary
  • all there in the title
  • move the current port to kdiff-kde4

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

tcberner created this revision.Nov 17 2018, 3:32 PM
pizzamig added inline comments.Nov 20 2018, 8:47 PM
textproc/kdiff3/Makefile
7

shouldn't be kde@FreeBSD.org ??

This works for me and is the last qt4 application I had

tcberner updated this revision to Diff 50921.Nov 22 2018, 7:28 PM

Fix typo in address

@pizzamig, do you want to maintain it?

mat added inline comments.Nov 23 2018, 11:19 AM
textproc/kdiff3/Makefile
23

Add the relevant line to the kde4 version?

tcberner updated this revision to Diff 51021.Nov 23 2018, 9:57 PM

Add dropped conflict, and fix existing.

pizzamig accepted this revision.Nov 27 2018, 4:00 PM

looks good to me

This revision is now accepted and ready to land.Nov 27 2018, 4:00 PM
mat added a comment.Dec 6 2018, 4:07 PM

Also, is it worth the effort to add the -qt4 port when Qt4 gets removed at the beginning of 2019?

@pizzamig may I just upgrade yours, @mat had a point there.

I guess it's fine to remove the qt4 version. I agree with @mat, I don't see any future for it.
Feel free to remove the qt4/kde4 version and keep only the qt5/kde5 one.
I won't be able to maintain the qt5 version, because I moved to i3, so no kde applications anymore for me

This revision was automatically updated to reflect the committed changes.